package reproducer;

import javax.enterprise.context.ApplicationScoped;
import javax.json.JsonObject;
import javax.ws.rs.*;
import javax.ws.rs.container.ResourceContext;
import javax.ws.rs.core.Context;
import javax.ws.rs.core.MediaType;
import javax.ws.rs.core.Response;

@ApplicationScoped
@Path("/main")
@Consumes(MediaType.APPLICATION_JSON)
@Produces(MediaType.APPLICATION_JSON)
public class MainResource {

    @Path("/{mainId}")
    @PATCH
    @Consumes("application/merge-patch+json")
    public Response workingMethod(@PathParam("mainId") long mainId, JsonObject patch) {
        return Response.ok().build();
    }

    @Context
    ResourceContext resourceContext;

    @Path("/{mainId}/sub")
    public SubResource subResource() {
        return resourceContext.getResource(SubResource.class);
    }
}
